Skip to content

Get browser session detail

GET
/api/v1/browser-sessions/{session_id}

Returns the full detail of a single browser session including summary, screenshots, and recording path.

Authorizations

Parameters

Path Parameters

session_id
required

The browser session UUID

string format: uuid

The browser session UUID

Responses

200

Successful Response

Full detail of a single browser session.

Attributes: id: Session UUID. agent_role: Which agent ran the session. tier: Autonomy tier. task: Browsing objective description. target_url: Starting URL. status: Current lifecycle status. approval_id: AutonomyEngine approval ID (payment tier). recording_gcs_path: GCS path to rrweb recording. summary: Structured session summary. screenshots: GCS paths to screenshots. credits_consumed: Credits used. duration_ms: Session duration in milliseconds. error_message: Error description if session failed. created_at: When the session was requested. completed_at: When the session finished.

object
agent_role
required
string
approval_id
Any of:
string
completed_at
Any of:
string
created_at
Any of:
string
credits_consumed
integer
duration_ms
Any of:
integer
error_message
Any of:
string
id
required
string
recording_gcs_path
Any of:
string
screenshots
Array<string>
status
required
string
summary
Any of:
object
key
additional properties
any
target_url
required
string
task
required
string
tier
required
string

422

Validation Error

object
detail
Array<object>
object
ctx
object
input
loc
required
Array
msg
required
string
type
required
string